%global reltag .Final_redhat_1
%global namedversion %{version}.Final-redhat-1
%global meadversion %{version}%{reltag}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 1.2.0.Final-redhat-1

Name:             jbosgi-repository
Version:          1.2.0
Release:          1%{reltag}%{?dist}
Summary:          JBossOSGi Repository
Group:            Development/Libraries

%if %with mead
Source100: org.jboss.osgi.repository-jbosgi-repository-parent-1.2.0.Final-redhat-1-sources.zip
Source101: org.jboss.osgi.repository-jbosgi-repository-parent-1.2.0.Final-redhat-1-patches.zip
Source102: jbosgi-repository-api-1.2.0.Final-redhat-1.pom
Source103: jbosgi-repository-api-1.2.0.Final-redhat-1.jar
Source104: jbosgi-repository-api-1.2.0.Final-redhat-1-sources.jar
Source105: jbosgi-repository-api-1.2.0.Final-redhat-1-javadoc.jar
Source106: jbosgi-repository-1.2.0.Final-redhat-1-javadoc.jar
Source107: jbosgi-repository-1.2.0.Final-redhat-1.pom
Source108: jbosgi-repository-1.2.0.Final-redhat-1.jar
Source109: jbosgi-repository-1.2.0.Final-redhat-1-sources.jar
Source110: jbosgi-repository-parent-1.2.0.Final-redhat-1.pom
Source111: jbosgi-repository-core-1.2.0.Final-redhat-1-javadoc.jar
Source112: jbosgi-repository-core-1.2.0.Final-redhat-1.pom
Source113: jbosgi-repository-core-1.2.0.Final-redhat-1-sources.jar
Source114: jbosgi-repository-core-1.2.0.Final-redhat-1.jar
%endif

License:          LGPLv2+
URL:              http://github.com/jbosgi/jbosgi-repository

BuildArch:        noarch

BuildRequires:    jpackage-utils
Requires:         jpackage-utils

%description
JBossOSGi Repository.

%prep

%build

%install
# JARs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p %{_sourcedir}/%{name}-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}
cp -p %{_sourcedir}/%{name}-api-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}
cp -p %{_sourcedir}/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}
cp -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}
cp -p %{_sourcedir}/%{name}-core-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}
cp -p %{_sourcedir}/%{name}-core-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}
#cp -p %{_sourcedir}/%{name}-itests-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss
#cp -p %{_sourcedir}/%{name}-itests-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jboss
#cp -p %{_sourcedir}/%{name}-plugin-shrinkwrap-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss
#cp -p %{_sourcedir}/%{name}-plugin-shrinkwrap-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jboss

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{_sourcedir}/%{name}-parent-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
install -pm 644 %{_sourcedir}/%{name}-api-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-api.pom
install -pm 644 %{_sourcedir}/%{name}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 %{_sourcedir}/%{name}-core-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-core.pom
#install -pm 644 %{_sourcedir}/%{name}-itests-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-itests.pom
#install -pm 644 %{_sourcedir}/%{name}-plugins-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-plugins.pom
#install -pm 644 %{_sourcedir}/%{name}-plugin-shrinkwrap-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-plugin-shrinkwrap.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-api.pom %{name}-api.jar
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar
#%%add_maven_depmap JPP.jboss-%{name}-itests.pom jboss/%{name}-itests.jar
#%%add_maven_depmap JPP.jboss-%{name}-plugins.pom
#%%add_maven_depmap JPP.jboss-%{name}-plugin-shrinkwrap.pom jboss/%{name}-plugin-shrinkwrap.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*

%changelog
* Fri May 04 2012 Hui Wang <huwang@redhat.com> 1.2.0-1.Final_redhat_1
- Upgrade to 1.2.0.Final

* Thu Mar 29 2012 Hui Wang <huwang@redhat.com> 1.1.0-0.1.Beta1_redhat_1.1
- Upgrade to 1.1.0.Beta1

* Thu Feb 23 2012 Hui Wang <huwang@redhat.com> 1.0.5-1_redhat_1.1
- Wrapper RPM build
